

<?php include $_SERVER['DOCUMENT_ROOT']."/Week11Assignments/Week11Assignment/inc/header.php"; ?>

<?php

$q = htmlspecialchars($_GET["q"] ?? "");
$page = htmlspecialchars($_GET["page"] ?? 1);
$recipes   = getSearchResults($mysqli, $q);
$ttlRecipes = $recipes->num_rows;


var_dump($recipes);
?>
<div class="container" style="padding-top: 40px;">
<div class="row">
    <h1 class="col-4 mt-4">Search</h1>
    <h4 class="col-8 mt-4 text-end">
        
        <?= $recipes->num_rows ?> Results for "<?= $q ?>"
        <br /> <br />
        <?php 
            if($ttlRecipes > 25) {
                printPaginationControls($recipes);
                }
                ?>
    </h4>
</div>


<?php 
    $counter = 1;
   
    if ($ttlRecipes > 0) { 
?>

<table class="table">
    <thead>
        <tr>
            <th>#</th>
            <th>Recipe Name</th>
            <th>Category</th>
        </tr>
    </thead>
    <tbody>
        <?php while($recipe = $recipes->fetch_assoc()) { ?>
        <tr>
            <td><?= $counter ?></td>
            <td><a href="/Week11Assignments/Week11Assignment/products.php?recipe_id=<?= $recipe["recipe_id"] ?>"><?= $recipe["name"] ?></a></td>
            <td><?= $recipe["category"] ?></td>
            
        </tr>
        <?php 
            $counter++;
        } 
        ?>
    </tbody>
</table>
<?php } else { ?>
<h1 class="text-center">No results were found.</h1>
<h3 class="text-center">Please search again.</h3>
<br />
</form>
<br />
<br />
</div>
<?php }  ?> 

<?php include $_SERVER['DOCUMENT_ROOT']."/Week11Assignments/Week11Assignment/inc/footer.php"; ?>