<?php  
    
function printHeading($str) {

    echo "<h1 class='text-center'>".$str."</h1>";
}
    
 function printImage($img){
     
     echo "<img src='".$img."' class='img-fluid' style='max-width:300px'>";
 }
    

function displayFeatured($int) {
    
    $mysqli = getConn();    
    $recipes = getAllrecipes($mysqli);
    
    echo "<div class='row'>";
    foreach($recipes as $recipe) {

        if($recipe["recipe_id"] == $int ) {

            echo "<div class='col-md-12 recipe'>";
            echo "<h2>Our featured recipe: ".$recipe["name"]."</h2>";
            echo "<p><b>Ingredients</b></p>";
            echo "<p>" .$recipe["ingredients"]."</p>";
            echo"<p><b>Instructions</b></p>";
            echo "<p>".$recipe["instructions"]."</p>";
            echo "</div>";
            
        }
     }
    echo "</div>";
}



function displayAllCategory($catId) {
    
     $mysqli = getConn();    
    $recipes = getAllrecipes($mysqli);
    echo "<div class='row'>";
     foreach($recipes as $recipe) {
           if($recipe["category_id"] == $catId ) {
    
        
    echo "<div class='recipe col-xs-12 col-md-3 col-lg-3'>";
               
    echo "<h2>".$recipe["name"]."</h2>";
    echo "</div>";

     }
       
     }
    echo "</div>";  
     }


function displayWhenLoggedIn($catId) {
    
     $mysqli = getConn();    
    $recipes = getAllrecipes($mysqli);
    echo "<div class='row'>";
     foreach($recipes as $recipe) {
           if($recipe["category_id"] == $catId ) {
    
        
    echo "<div class='recipe col-xs-12 col-md-3 col-lg-3'>";
               
    echo "<h2>".$recipe["name"]."</h2>";
    echo "<p><b>Ingredients</b></p>";
    echo "<p>" .$recipe["ingredients"]."</p>";
    echo"<p><b>Instructions</b></p>";
    echo "<p>".$recipe["instructions"]."</p>";
    echo "</div>";

     }
       
     }
    echo "</div>";  
     }

function printMessage() {
    if($_SESSION['message'] != '') {
        echo "<div class='text-center text-danger'>".$_SESSION['message']."</div>";
    }
    $_SESSION['message'] = '';
}

function printLogoutButton() {
    if($_SESSION['loggedIn'] == 'true') {
         echo "<li class='nav-item logout'><a href='
         /Week11Assignments/Week11Assignment/loginmanager.php?logout=true' class='nav-link'>Welcome, ".$_COOKIE['username']."! Click here to Logout</a></li>";
    }  else {
        echo "<li class='nav-item logout'><a href='
         /Week11Assignments/Week11Assignment/login.php' class='nav-link'>Login</a></li>";   
    }
   
}

function getRecipeByID($recipe_id) {
    $sql = "SELECT * FROM recipes WHERE recipe_id=?";   
    $stmt = $GLOBALS["mysqli"]->prepare($sql);
    $stmt->bind_param("s", $recipe_id);
    $stmt->execute();
    return $stmt->get_result();
}

function getUserByID($user_id) {
    $sql = "SELECT * FROM users WHERE user_id=?";   
    $stmt = $GLOBALS["mysqli"]->prepare($sql);
    $stmt->bind_param("s", $user_id);
    $stmt->execute();
    return $stmt->get_result();
}

?>

