<?php 
session_start();

include $_SERVER['DOCUMENT_ROOT']."/Week11Assignments/Week11Assignment/inc/database.php";

$user_name   = htmlspecialchars($_POST["user_name"]   ?? "");
$pass_word   = htmlspecialchars($_POST["pass_word"]   ?? "");
$remember_me = htmlspecialchars($_POST["remember_me"] ?? "");
$action      = htmlspecialchars($_POST["action"]      ?? "");
$logout      = htmlspecialchars($_GET["logout"]      ?? "");

// if the user is trying to logout
if($logout == "true") {
    $_SESSION["loggedIn"] = false;
    $_SESSION["message"] = "You have been logged out.";
   
    header("location: login.php");
    exit();
}

// if there is ONLY 1 user
$users = getUsers($user_name, $pass_word);  // get all users
if($users->num_rows == 1) {                 // if there is only one
    $user = $users->fetch_assoc();          // get the first record (aka the only user)
    if($remember_me == "true") {            // set the "remember me" cookie if they selected that option
        setcookie("username", $user["user_name"], time()+24*60*60);
    } else {
        setcookie("username", "", time()-1);
    }
    
    $_SESSION["loggedIn"] = true;             // set the user to logged in
    $_SESSION["message"] = "";
  
    header("location: userrecipes.php"); // redirect the user to the dashboard page
    exit();

// else, if there is 0 or more than 1 user, redirect to another page
} else {
    $_SESSION["loggedIn"] = false;
    $_SESSION["message"] = "The credentials you provided could not be found. Please try again.";
    
    header("location: login.php");
    exit();
}
?>